services:
  access_check.update.manager_access:
    class: Drupal\update\Access\UpdateManagerAccessCheck
    arguments: ['@settings']
    tags:
      - { name: access_check, applies_to: _access_update_manager }
  update.manager:
    class: Drupal\update\UpdateManager
    arguments: ['@config.factory', '@module_handler', '@update.processor', '@string_translation', '@keyvalue.expirable', '@theme_handler', '@extension.list.module']
  update.processor:
    class: Drupal\update\UpdateProcessor
    arguments: ['@config.factory', '@queue', '@update.fetcher', '@state', '@private_key', '@keyvalue', '@keyvalue.expirable']
  update.fetcher:
    class: Drupal\update\UpdateFetcher
    arguments: ['@config.factory', '@http_client']
  update.root:
    class: SplString
    factory: update.root.factory:get
    tags:
      - { name: parameter_service }
  update.root.factory:
    class: Drupal\update\UpdateRootFactory
    arguments: ['@kernel', '@request_stack']
    public: false
